import es

infos = es.AddonInfo()
infos.name = 'mcolormsglib'
infos.basename = 'mcolormsglib'
infos.version = '1.1'
infos.author = 'Matth'
infos.date = '25-06-2012'

es.ServerVar((infos.basename), infos.version + " by " + infos.author).makepublic()

def getFormatHexa(r, g, b, a):
    return "\x08%02X%02X%02X%02X" % (int(r), int(g), int(b), int(a))

class mcolormsg(object):
    def __init__(self, name):
        self._name = name
        self._message = ""
        self._color = '\x01'

    def create(self, message, r, g, b, a=255):
        self._color = getFormatHexa(r, g, b, a)
        self._message = self._color + message

    def concat(self, message, r, g, b, a=255):
        self._message = self._message + getFormatHexa(r, g, b, a) + message

    def tell(self, userid):
        if es.exists('userid', userid):
            es.tell(userid, self._message)

    def msg(self):
        es.msg(self._message)



        
